Целочисленное переполнение в PuTTY SFTP клиенте

Дата публикации:
22.02.2005
Всего просмотров:
828
Опасность:
Средняя
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: PuTTY версии до 0.57

Описание:
Уязвимость позволяет злонамеренному серверу выполнить произвольный код на уязвимой системе с привилегиями текущего пользователя.

Уязвимость обнаружена при обработке длины строки в функции sftp_pkt_getstring() файла sftp.c., при обработке входных данных в функции fxp_readdir_recv(). Удаленный злонамеренный SFTP сервер может выполнить произвольный код на уязвимой системе с привилегиями текущего пользователя.

URL производителя: http://www.chiark.greenend.org.uk/~sgtatham/putty/

Решение: Установите новую версию от производителя.

Ссылки: Multiple PuTTY SFTP Client Packet Parsing Integer Overflow Vulnerabilities

или введите имя

CAPTCHA